<?php

use Illuminate\Database\Seeder;

class CiudadTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        
            DB::table('ciudads')->delete();

        $today = date('Y-m-d H:i:s');

        $data = [
            ['name' => 'Algarrobo'],
            ['name' => 'Alhue'],
            ['name' => 'Alto BioBío'],
            ['name' => 'Alto del Carmen'],
            ['name' => 'Alto Hospicio'],
            ['name' => 'Ancud'],
            ['name' => 'Andacollo'],
            ['name' => 'Angol'],
            ['name' => 'Antofagasta'],
            ['name' => 'Antuco'],
            ['name' => 'Arauco'],
            ['name' => 'Arica'],
            ['name' => 'Buin'],
            ['name' => 'Bulnes'],
            ['name' => 'Cabildo'],
            ['name' => 'Cabo de Hornos'],
            ['name' => 'Cabrero'],
            ['name' => 'Calama'],
            ['name' => 'Antártica'],
            ['name' => 'Calbuco'],
            ['name' => 'Caldera'],
            ['name' => 'Calera de Tango'],
            ['name' => 'Calle Larga'],
            [ 'name' => 'Camarones'],
            ['name' => 'Camiña'],
            ['name' => 'Canela'],
            ['name' => 'Cañete'],
            ['name' => 'Carahue'],
            ['name' => 'Carnameena'],
            ['name' => 'Casablanca'],
            [ 'name' => 'Castro'],
            ['name' => 'Catemu'],
            ['name' => 'Cauquenes'],
            [ 'name' => 'Cerrillos'],
            [ 'name' => 'Cerro Navia'],
            [ 'name' => 'Chaiten'],
            ['name' => 'Chañaral'],
            ['name' => 'Chanco'],
            ['name' => 'Chépica'],
            ['name' => 'Chiguayante'],
            [ 'name' => 'Chile Chico'],
            [ 'name' => 'Chillan'],
            [ 'name' => 'Chillan Viejo'],
            ['name' => 'Chimbarongo'],
            ['name' => 'Cholchol'],
            [ 'name' => 'Chonchi'],
            [ 'name' => 'Cobquecura'],
            [ 'name' => 'Cochamó'],
            [ 'name' => 'Cochrane'],
            ['name' => 'Codegua'],
            [ 'name' => 'Coelemu'],
            [ 'name' => 'Coihueco'],
            ['name' => 'Coinco'],
            ['name' => 'Colbun'],
            ['name' => 'Colchane'],
            [ 'name' => 'Colina'],
            ['name' => 'Collipulli'],
            ['name' => 'Coltauco'],
            ['name' => 'Combarbalá'],
            ['name' => 'Concepcion'],
            [ 'name' => 'Conchali'],
            ['name' => 'Concón'],
            ['name' => 'Constitucion'],
            ['name' => 'Contulmo'],
            ['name' => 'Copiapó'],
            ['name' => 'Coquimbo'],
            ['name' => 'Coronel'],
            [ 'name' => 'Coyhaique'],
            ['name' => 'Cunco'],
            ['name' => 'Curacautin'],
            [ 'name' => 'Curacavi'],
            [ 'name' => 'Curaco de Velez'],
            ['name' => 'Curanilahue'],
            ['name' => 'Curarrehue'],
            ['name' => 'Curepto'],
            ['name' => 'Curico'],
            [ 'name' => 'Dalcahue'],
            ['name' => 'Diego de Almagro'],
            ['name' => 'Doñihue'],
            [ 'name' => 'El Bosque'],
            [ 'name' => 'El Carmen'],
            [ 'name' => 'El Monte'],
            ['name' => 'El Quisco'],
            ['name' => 'El Tabo'],
            ['name' => 'Empedrado'],
            ['name' => 'Ercilla'],
            [ 'name' => 'Estacion Central'],
            ['name' => 'Florida'],
            ['name' => 'Freire'],
            ['name' => 'Freirina'],
            [ 'name' => 'Fresia'],
            [ 'name' => 'Frutillar'],
            [ 'name' => 'Futaleufu'],
            ['name' => 'Galvarino'],
            [ 'name' => 'General Lagos'],
            ['name' => 'Gorbea'],
            ['name' => 'Graneros'],
            [ 'name' => 'Guaitecas'],
            ['name' => 'Hijuelas'],
            [ 'name' => 'Hualaihue'],
            [ 'name' => 'Puerto Cisnes'],
            ['name' => 'Hualañé'],
            ['name' => 'Hualpén'],
            ['name' => 'Hualqui'],
            ['name' => 'Huara'],
            ['name' => 'Huasco'],
            [ 'name' => 'Huechuraba'],
            ['name' => 'Río Hurtado'],
            ['name' => 'Illapel'],
            [ 'name' => 'Independencia'],
            ['name' => 'Iquique'],
            [ 'name' => 'Isla de Maipo'],
            ['name' => 'Isla de Pascua'],
            ['name' => 'Juan Fernandez'],
            ['name' => 'La Calera'],
            [ 'name' => 'La Cisterna'],
            ['name' => 'La Cruz'],
            ['name' => 'La Estrella'],
            [ 'name' => 'La Florida'],
            [ 'name' => 'La Granja'],
            ['name' => 'La Higuera'],
            ['name' => 'La Laja'],
            ['name' => 'La Ligua'],
            [ 'name' => 'La Pintana'],
            [ 'name' => 'La Reina'],
            ['name' => 'La Serena'],
            [ 'name' => 'Lago Verde'],
            [ 'name' => 'Laguna Blanca'],
            [ 'name' => 'Lampa'],
            ['name' => 'Las Cabras'],
            [ 'name' => 'Las Condes'],
            [ 'name' => 'Puerto Aysen'],
            ['name' => 'Lautaro'],
            ['name' => 'Lebu'],
            ['name' => 'Licanten'],
            ['name' => 'Limache'],
            ['name' => 'Linares'],
            ['name' => 'Litueche'],
            [ 'name' => 'Llanquihue'],
            [ 'name' => 'Lo Barnechea'],
            [ 'name' => 'Lo Espejo'],
            [ 'name' => 'Lo Prado'],
            ['name' => 'Lolol'],
            ['name' => 'Loncoche'],
            ['name' => 'Longavi'],
            ['name' => 'Lonquimay'],
            ['name' => 'Los Alamos'],
            ['name' => 'Los Andes'],
            ['name' => 'Los Angeles'],
            [ 'name' => 'Los Muermos'],
            ['name' => 'Los Sauces'],
            ['name' => 'Los Vilos'],
            ['name' => 'Lota'],
            ['name' => 'Lumaco'],
            ['name' => 'Machalí'],
            [ 'name' => 'Macul'],
            [ 'name' => 'Maipu'],
            ['name' => 'Malloa'],
            ['name' => 'Marchihue'],
            ['name' => 'Maria Elena'],
            [ 'name' => 'Maria Pinto'],
            ['name' => 'Maule'],
            [ 'name' => 'Maullin'],
            ['name' => 'Mejillones'],
            ['name' => 'Melipeuco'],
            [ 'name' => 'Melipilla'],
            ['name' => 'Molina'],
            ['name' => 'Monte Patria'],
            ['name' => 'Mulchen'],
            ['name' => 'Nacimiento'],
            ['name' => 'Nancahua'],
            ['name' => 'Navidad'],
            ['name' => 'Negrete'],
            [ 'name' => 'Ninhue'],
            [ 'name' => 'Ñiquén'],
            ['name' => 'Nogales'],
            ['name' => 'Nueva Imperial'],
            [ 'name' => 'Ñuñoa'],
            [ 'name' => "O'Higgins"],
            ['name' => 'Olivar'],
            ['name' => 'Ollagüe'],
            ['name' => 'Olmue'],
            [ 'name' => 'Osorno'],
            ['name' => 'Ovalle'],
            [ 'name' => 'Padre Hurtado'],
            ['name' => 'Padre Las Casas'],
            ['name' => 'Paiguano'],
            [ 'name' => 'Paine'],
            [ 'name' => 'Palena'],
            ['name' => 'Palmilla'],
            ['name' => 'Panquehue'],
            ['name' => 'Papudo'],
            ['name' => 'Paredones'],
            ['name' => 'Parral'],
            [ 'name' => 'Pedro Aguirre Cerda'],
            ['name' => 'Pelarco'],
            ['name' => 'Pelluhue'],
            [ 'name' => 'Pemuco'],
            [ 'name' => 'Peñaflor'],
            [ 'name' => 'Peñalolen'],
            ['name' => 'Pencahue'],
            ['name' => 'Penco'],
            ['name' => 'Peralillo'],
            ['name' => 'Perquenco'],
            ['name' => 'Petorca'],
            ['name' => 'Peumo'],
            ['name' => 'Pica'],
            ['name' => 'Pichidegua'],
            ['name' => 'Pichilemu'],
            [ 'name' => 'Pinto'],
            [ 'name' => 'Pirque'],
            ['name' => 'Pitrufquen'],
            ['name' => 'Placilla'],
            [ 'name' => 'Portezuelo'],
            [ 'name' => 'Porvenir'],
            ['name' => 'Pozo Almonte'],
            [ 'name' => 'Primavera'],
            [ 'name' => 'Providencia'],
            ['name' => 'Puchuncaví'],
            ['name' => 'Pucón'],
            ['name' => 'Puerto Saavedra'],
            [ 'name' => 'Pudahuel'],
            [ 'name' => 'Puente Alto'],
            [ 'name' => 'Puerto Montt'],
            [ 'name' => 'Natales'],
            [ 'name' => 'Puerto Octay'],
            [ 'name' => 'Puerto Varas'],
            ['name' => 'Pumanque'],
            ['name' => 'Punitaqui'],
            [ 'name' => 'Punta Arenas'],
            [ 'name' => 'Puqueldon'],
            ['name' => 'Puren'],
            [ 'name' => 'Purranque'],
            ['name' => 'Putaendo'],
            [ 'name' => 'Putre'],
            [ 'name' => 'Puyehue'],
            [ 'name' => 'Queilen'],
            [ 'name' => 'Quellon (Puerto Quellon)'],
            [ 'name' => 'Quemchi'],
            ['name' => 'Quilaco'],
            [ 'name' => 'Quilicura'],
            ['name' => 'Quilleco'],
            [ 'name' => 'Quillon'],
            ['name' => 'Quillota'],
            ['name' => 'Quilpué'],
            ['name' => 'Tucapel'],
            [ 'name' => 'Quinchao'],
            ['name' => 'Quinta de Tilcoco'],
            [ 'name' => 'Quinta Normal'],
            ['name' => 'Quintero'],
            [ 'name' => 'Quirihue'],
            ['name' => 'Rancagua'],
            [ 'name' => 'Ranquil'],
            ['name' => 'Rapel'],
            ['name' => 'Rauco'],
            [ 'name' => 'Recoleta'],
            ['name' => 'Renaico'],
            [ 'name' => 'Renca'],
            ['name' => 'Rengo'],
            ['name' => 'Requinoa'],
            ['name' => 'Retiro'],
            ['name' => 'Rinconada de Los Andes'],
            ['name' => 'Rio Claro'],
            [ 'name' => 'Rio Ibanez'],
            [ 'name' => 'Rio Negro'],
            [ 'name' => 'Rio Verde'],
            ['name' => 'Romeral'],
            ['name' => 'Sagrada Familia'],
            ['name' => 'Salamanca'],
            ['name' => 'San Antonio'],
            [ 'name' => 'San Bernardo'],
            [ 'name' => 'San Carlos'],
            ['name' => 'San Clemente'],
            ['name' => 'San Esteban'],
            [ 'name' => 'San Fabian'],
            ['name' => 'San Felipe'],
            ['name' => 'San Fernando'],
            [ 'name' => 'San Gregorio'],
            [ 'name' => 'San Ignacio'],
            ['name' => 'San Javier'],
            [ 'name' => 'San Joaquin'],
            [ 'name' => 'San Jose de Maipo'],
            [ 'name' => 'San Juan de la Costa'],
            [ 'name' => 'San Miguel'],
            [ 'name' => 'San Nicolas'],
            [ 'name' => 'San Pablo'],
            [ 'name' => 'San Pedro'],
            ['name' => 'San Pedro de Atacama'],
            ['name' => 'San Pedro de la Paz'],
            ['name' => 'San Rafael'],
            [ 'name' => 'San Ramon'],
            ['name' => 'San Rosendo'],
            ['name' => 'San Vicente de Tagua Tagua'],
            ['name' => 'Santa Barbara'],
            ['name' => 'Santa Cruz'],
            ['name' => 'Santa Juana'],
            ['name' => 'Santa Maria'],
            [ 'name' => 'Santiago'],
            ['name' => 'Santo Domingo'],
            ['name' => 'Sierra Gorda'],
            [ 'name' => 'Talagante'],
            ['name' => 'Talca'],
            ['name' => 'Talcahuano'],
            ['name' => 'Taltal'],
            ['name' => 'Temuco'],
            ['name' => 'Teno'],
            ['name' => 'Teodoro Schmidt'],
            ['name' => 'Tierra Amarilla'],
            [ 'name' => 'Til til'],
            [ 'name' => 'Timaukel'],
            ['name' => 'Tirúa'],
            ['name' => 'Tocopilla'],
            ['name' => 'Tolten'],
            ['name' => 'Tome'],
            [ 'name' => 'Torres del Paine'],
            [ 'name' => 'Tortel'],
            ['name' => 'Traiguen'],
            [ 'name' => 'Treguaco'],
            ['name' => 'Vallenar'],
            ['name' => 'Valparaiso'],
            ['name' => 'Vichuquen'],
            ['name' => 'Victoria'],
            ['name' => 'Vicuña'],
            ['name' => 'Vilcun'],
            ['name' => 'Villa Alegre'],
            ['name' => 'Villa Alemana'],
            ['name' => 'Villarrica'],
            ['name' => 'Vina del Mar'],
            [ 'name' => 'Vitacura'],
            ['name' => 'Yerbas Buenas'],
            ['name' => 'Yumbel'],
            [ 'name' => 'Yungay'],
            ['name' => 'Zapallar'],
            [ 'name' => 'Corral'],
            [ 'name' => 'Lanco'],
            [ 'name' => 'Los Lagos'],
            [ 'name' => 'Mafil'],
            [ 'name' => 'Mariquina'],
            [ 'name' => 'Paillaco'],
            [ 'name' => 'Panguipulli'],
            [ 'name' => 'Valdivia'],
            [ 'name' => 'Futrono'],
            [ 'name' => 'La Unión'],
            [ 'name' => 'Lago Ranco'],
            ['name' => 'Rio Bueno']
        ];

        foreach ($data as $ciudads) {
            DB::table('ciudads')->insert([
                'name' => $ciudads['name'],
                'created_at' => $today,
                'updated_at' => $today
            ]);



        }

    }
}
